System.Web 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Web.UI.WebControls.TableRow System.Web.UI.IDataItemContainer One of the elements composing the DataGrid. It can be a header element, paging element, item element, etc. You can use Item.ItemType to determine the type of the DataGrid item selected. `if(myitem.ItemType == ListItemType.Item) { // We have a Item of one row of the dataset ... } else if(myitem.ItemType == ListItemType.Pager) { // We made click on the pager item of the grid ... }`
- Constructor
  To be added: an object of type 'int'
  To be added: an object of type 'int'
  To be added: an object of type 'ListItemType'
  To be added
  To be added
  1.0.5000.0
  2.0.0.0
- Property
  System.Object One item of the data structure referenced. To be added: an object of type 'object' To be added 1.0.5000.0 2.0.0.0
- Property
  System.Int32 To be added To be added: an object of type 'int' To be added 1.0.5000.0 2.0.0.0
- Property
  System.Int32 To be added To be added: an object of type 'int' To be added 1.0.5000.0 2.0.0.0
- Property
  System.Web.UI.WebControls.ListItemType A list containing the types of items that can be found on a item of a web control List items contains one of this types.
  Header
  Footer
  Item
  AlternatingItem
  SelectedItem
  EditItem
  Pager
  The type of the Item selected. This type defines the type of item we are referencing. It may not always be a dataset item. It can be a header of paging for example. 1.0.5000.0 2.0.0.0
- Method
  System.Boolean `` `` a To be added. To be added a To be added 1.0.5000.0 2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  System.Void `` To be added. To be added. To be added.
- Property
  2.0.0.0
  System.Object To be added. To be added. To be added.
- Property
  2.0.0.0
  System.Int32 To be added. To be added. To be added.
- Property
  2.0.0.0
  System.Int32 To be added. To be added. To be added.